unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ExtCtrls, scktcomp, identpro;

type
  TForm1 = class(TForm)
    Memo1: TMemo;
    userid: TEdit;
    Label1: TLabel;
    Label2: TLabel;
    system: TEdit;
    Label3: TLabel;
    port: TEdit;
    Button1: TButton;
    Bevel1: TBevel;
    Label4: TLabel;
    delete: TEdit;
    Button2: TButton;
    Bevel2: TBevel;
    Memo2: TMemo;
    Button3: TButton;
    Label5: TLabel;
    info: TEdit;
    Button4: TButton;
    Button5: TButton;
    Button6: TButton;
    ident: TIdentPRO;
    procedure Button2Click(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
    procedure Button4Click(Sender: TObject);
    procedure Button5Click(Sender: TObject);
    procedure identClientAccept(Sender: TObject; Socket: TCustomWinSocket);
    procedure identDataSent(Sender: TObject; Socket: TCustomWinSocket);
    procedure identClientDisconnect(Sender: TObject;
      Socket: TCustomWinSocket);
    procedure Button6Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.Button2Click(Sender: TObject);
var TmpTstringlist : Tstringlist;
    Worked : boolean;
begin
TmpTstringlist := Tstringlist.create;
Worked := ident.RetrieveInfo(info.text,TmpTstringlist);
If ident.Deleteinfo(delete.text) = false then
 begin
  memo2.lines.add('could not delete; port does not exist');
  TmpTstringlist.free;
  exit;
 end;
If Worked then memo2.lines.add('PORT DELETED: ' + TmpTstringlist[0] + ' ' + TmpTstringlist[1] + ' ' + TmpTstringlist[2])
  else memo2.lines.add('Port could not be deleted!');
TmpTstringlist.free;
end;

procedure TForm1.Button1Click(Sender: TObject);
begin
 If ident.Addinfo(port.text, userid.text, System.text) then
  begin
    memo2.lines.add('PORT ADDED: ' + port.text + ' ' + userid.text + ' ' + System.text);
  end
   else memo2.lines.add('error adding port!');
end;

procedure TForm1.Button3Click(Sender: TObject);
var TmpTstringlist : Tstringlist;
begin
TmpTstringlist := Tstringlist.create;
 If ident.RetrieveInfo(info.text,TmpTstringlist) = false then memo2.lines.add('Error retrieving Port Info');
memo2.lines.add(TmpTstringlist.text);
TmpTstringlist.free;
end;

procedure TForm1.Button4Click(Sender: TObject);
begin
 ident.WatchPort;
end;

procedure TForm1.Button5Click(Sender: TObject);
begin
 ident.close;
end;

procedure TForm1.identClientAccept(Sender: TObject;
  Socket: TCustomWinSocket);
begin
  memo1.lines.add('Accepted Client [' + socket.remoteaddress + '] on Port (' + IntToStr(socket.remoteport) + ')');
end;

procedure TForm1.identDataSent(Sender: TObject; Socket: TCustomWinSocket);
begin
// The ident.clienttext does not work every time.
  memo1.lines.add('Data Sent to Client [' + socket.remoteaddress + '] on Port (' + IntToStr(socket.remoteport) + '): ' + ident.clienttext);
end;

procedure TForm1.identClientDisconnect(Sender: TObject;
  Socket: TCustomWinSocket);
begin
  memo1.lines.add('Client Disconnect [' + socket.remoteaddress + '] on Port (' + IntToStr(socket.remoteport) + ')');
end;

procedure TForm1.Button6Click(Sender: TObject);
var TmpTstringlist : Tstringlist;
begin
TmpTstringlist := Tstringlist.create;
 If ident.RetrieveAllPorts(TmpTstringlist) = false then memo2.lines.add('Error retrieving All Ports Info');
memo2.lines.add(TmpTstringlist.text);
TmpTstringlist.free;
end;

end.
